Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS13.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS13.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS13.m	(revision 636)
@@ -1,1 +1,1 @@
-TIUEDS13 ; ;01/12/06
+TIUEDS13 ; ;03/29/06
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS14.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS14.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS14.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS14 ; ;01/12/06
+TIUEDS14 ; ;03/29/06
  ;;
 1 N X,X1,X2 S DIXR=247 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS2.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS2.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS2.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS2 ; ;01/12/06
+TIUEDS2 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  I $P($$DOCTYPE^TIULF(+DA),U)="DOC",$L($P(^TIU(8925,+DA,0),U)),(+$P(^(0),U,2)>0) S ^TIU(8925,"AA",$P(^(0),U,2),+$P(^(0),U),(9999999-$P(+$G(^AUPNVSIT(X,0)),".")),DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS3.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS3.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS3.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS3 ; ;01/12/06
+TIUEDS3 ; ;03/29/06
  S X=DE(12),DIC=DIE
  K ^TIU(8925,"CA",$E(X,1,30),DA)
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS4.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS4.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS4.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS4 ; ;01/12/06
+TIUEDS4 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  S ^TIU(8925,"CA",$E(X,1,30),DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS5.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS5.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS5.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS5 ; ;01/12/06
+TIUEDS5 ; ;03/29/06
  D DE G BEGIN
 DE S DIE="^TIU(8925,",DIC=DIE,DP=8925,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^TIU(8925,DA,""))=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS6.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS6.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS6.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS6 ; ;01/12/06
+TIUEDS6 ; ;03/29/06
  S X=DE(9),DIC=DIE
  I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,12)),U,2),+$P($G(^TIU(8925,+DA,0)),U,5) K ^TIU(8925,"AAU",+$P(^TIU(8925,+DA,12),U,2),+$P(^TIU(8925,+DA,0),U),+$P(^TIU(8925,+DA,0),U,5),(9999999-X),+DA)
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS7.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS7.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS7.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS7 ; ;01/12/06
+TIUEDS7 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,12)),U,2),+$P($G(^TIU(8925,+DA,0)),U,5) S ^TIU(8925,"AAU",+$P(^TIU(8925,+DA,12),U,2),+$P(^TIU(8925,+DA,0),U),+$P(^TIU(8925,+DA,0),U,5),(9999999-X),+DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS8.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS8.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS8.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS8 ; ;01/12/06
+TIUEDS8 ; ;03/29/06
  S X=DE(17),DIC=DIE
  K ^TIU(8925,"F",$E(X,1,30),DA)
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS9.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS9.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS9.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS9 ; ;01/12/06
+TIUEDS9 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  S ^TIU(8925,"F",$E(X,1,30),DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUFLF4.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUFLF4.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUFLF4.m	(revision 636)
@@ -1,4 +1,4 @@
 TIUFLF4 ; SLC/MAM - Lib; ANCESTOR(FILEDA,NODE0,ANCESTOR,DOCFLAG), ORPHAN(FILEDA,NODE0,ANCESTOR), STUFFLDS(FILEDA,PFILEDA), ADDTEN(PFILEDA,FILEDA,NODE0,TENDA),NUMITEMS(FILEDA), MISSITEM(FILEDA) ;4/23/97  11:02
- ;;1.0;TEXT INTEGRATION UTILITIES;**11,43,236**;Jun 20, 1997;Build 2
+ ;;1.0;TEXT INTEGRATION UTILITIES;**11,43**;Jun 20, 1997
  ;
 NUMITEMS(FILEDA) ; Function returns Number of Items of FILEDA; Possibly 0
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULMED.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULMED.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULMED.m	(revision 636)
@@ -1,4 +1,4 @@
-TIULMED ; SLC/JM,JH,AJB - Active/Recent Med Objects Routine ; 12/18/07
- ;;1.0;TEXT INTEGRATION UTILITIES;**38,73,92,94,183,193,197,198,202,213,238**;Jun 20, 1997;Build 6
+TIULMED ; SLC/JM,JH - Active/Recent Med Objects Routine ;1/23/07
+ ;;1.0;TEXT INTEGRATION UTILITIES;**38,73,92,94,183,193,197,198,202,213**;Jun 20, 1997;Build 3
  Q
 LIST(DFN,TARGET,ACTVONLY,DETAILED,ALLMEDS,ONELIST,CLASSORT,SUPPLIES) ;
@@ -62,9 +62,6 @@
  ;
  ; *** Scan medication data and skip unwanted meds ***
- ; Changes for *238 required by PSO*7*294
- D
- . I $$PATCH^XPDUTL("PSO*7.0*294"),+$D(TIUDATE) S TIUDATE=$$FMADD^XLFDT(DT,-$G(TIUDATE)) D OCL^PSOQ0496(DFN,TIUDATE,"") Q  ; IA 2400
- . D OCL^PSOORRL(DFN,"","") ; IA 2400
  ;
+ D OCL^PSOORRL(DFN,"","") ; IA 2400
  S INDEX=0
  F  S INDEX=$O(^TMP("PS",$J,INDEX))  Q:INDEX'>0  D
@@ -81,6 +78,4 @@
  ..I ACTVONLY=2 S KEEPMED=(STATIDX=3)
  ..I +ONELIST S STATIDX=1
- ..; Changes for *238 required by PSO*7*294
- ..I $$PATCH^XPDUTL("PSO*7.0*294"),+$D(TIUDATE),STATUS["DISCONTINUED" S KEEPMED=0
  .I KEEPMED D
  ..S TYPE=$P($P(NODE,U),";",2)
@@ -180,5 +175,5 @@
  ;
  D SORTSAVE^TIULMED3 K @TARGET@("B"),@TARGET@("C") ;P213
-LISTX K ^TMP("PS",$J),^TMP($J,"TIULMED"),TIUDATE ; K TIUDATE added for PSO*7*294
+LISTX K ^TMP("PS",$J),^TMP($J,"TIULMED")
  Q "~@"_$NA(@TARGET)
  ;
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULP.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULP.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIULP.m	(revision 636)
@@ -1,4 +1,4 @@
 TIULP ; SLC/JER - Functions determining privilege ;7/29/05
- ;;1.0;TEXT INTEGRATION UTILITIES;**98,100,116,109,138,152,175,157,182,184,217,236**;Jun 20, 1997;Build 2
+ ;;1.0;TEXT INTEGRATION UTILITIES;**98,100,116,109,138,152,175,157,182,184,217**;Jun 20, 1997
 CANDO(TIUDA,TIUACT,PERSON) ; Can PERSON perform action now
  ; Receives: TIUDA=Record number in file 8925
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR200.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR200.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR200.m	(revision 636)
@@ -2,5 +2,5 @@
  ;;1.0;TEXT INTEGRATION UTILITIES;**200**;Jun 20, 1997
  ;
- Q  
+ N LINE,TIUABORT,TIUCNSLT,TIUCOCOR,TIUFPRIV,TIUNAME,TIUPGNTS,TIUPRNT,TITLE,X,Y
  W !,"Verifying installation environment..."
  S TIUCOCOR=$$LU(8930,"CLINICAL COORDINATOR","X") I '+TIUCOCOR W !,"Installation Error:  CLINICAL COORDINATOR (Class Owner) cannot be defined." S TIUABORT=1
@@ -10,5 +10,5 @@
  W "complete."
  Q 
-EN Q  
+EN ;
  N LINE,TIUABORT,TIUCNSLT,TIUCOCOR,TIUFPRIV,TIUNAME,TIUPGNTS,TIUPRNT,TITLE,X,Y
  X ^%ZOSF("EON") W $G(IOCUON) W:+$L($G(IOF)) @IOF
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR222.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR222.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPR222.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUPR222 ; SLC/AJB - TIU Form Letter Update;06Mar07
+TIUPR222 ; SLC/AJB - TIU Form Letter Update;06Mar07 ;12/27/07  18:20
  ;;1.0;TEXT INTEGRATION UTILITIES;**222**;Jun 20, 1997
  Q
@@ -8,5 +8,5 @@
  . . I $$CHKTITLE(8925.1,NAME)>0 S TIUQUIT=1
  I +$G(TIUQUIT) W !!,"Titles have already been installed and will not be installed again." Q
- I '$D(ZTQUEUED) X ^%ZOSF("EON") W IOCUON,@IOF
+ I '$D(ZTQUEUED) X ^%ZOSF("EON") W $G(IOCUON),@IOF ;WVEHR/VOE IOCUON TO $G(IOCUON)
  I $$CHKTITLE(8925.1,"PROGRESS NOTES")<0 G EXIT
  W !!,"Creating the new DOCUMENT CLASS ""FORM LETTERS"" and"
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPRPN8.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPRPN8.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUPRPN8.m	(revision 636)
@@ -1,4 +1,4 @@
 TIUPRPN8 ;SLC/MAM - Print SF 509-Progress Notes, Cont ;11/10/04 [1/4/05 12:17pm]
- ;;1.0;TEXT INTEGRATION UTILITIES;**100,176,157,182,224**;Jun 20, 1997;Build 7
+ ;;1.0;TEXT INTEGRATION UTILITIES;**100,176,157,182**;Jun 20, 1997
  ;
 SIGBLK(TIUFOOT,TIUMISC,TIUCONT1,TIUCONT,TIUSIG,TIUROOT) ; Print signature block info
@@ -55,9 +55,7 @@
  . N TIUI S TIUI=0
  . S TIUCONT=$$SETCONT^TIUPRPN1(.TIUFOOT,TIUMISC,TIUCONT1,0,$G(TIUROOT)) Q:'TIUCONT
+ . W !?4,"Receipt Acknowledged By:"
  . F  S TIUI=$O(@TIUROOT@("EXTRASGNR",TIUI)) Q:'TIUI  D
- . . W !!?4,"Receipt Acknowledged By:"
- . . ;VMP/ELR P224 ADDED code to print awaiting signature and expected additional signer name
- . . I +$G(@TIUROOT@("EXTRASGNR",TIUI,"DATE"))'>0 D  Q
- . . . W !,?4,"* AWAITING SIGNATURE *",?30,$G(@TIUROOT@("EXTRASGNR",TIUI,"EXPNAME"))
+ . . I +$G(@TIUROOT@("EXTRASGNR",TIUI,"DATE"))'>0 Q
  . . I TIUI>1 S TIUCONT=$$SETCONT^TIUPRPN1(.TIUFOOT,TIUMISC,TIUCONT1,0,$G(TIUROOT)) Q:'TIUCONT
  . . W !?29,"/es/ ",$G(@TIUROOT@("EXTRASGNR",TIUI,"NAME"))
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUR.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUR.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUR.m	(revision 636)
@@ -1,4 +1,4 @@
 TIUR ; SLC/JER - Integrated Document Review ;11/01/03
- ;;1.0;TEXT INTEGRATION UTILITIES;**74,79,58,100,113,112,207,224**;Jun 20, 1997;Build 7
+ ;;1.0;TEXT INTEGRATION UTILITIES;**74,79,58,100,113,112,207**;Jun 20, 1997
  ; 11/30/00 Moved PUTLIST & ADDELMNT to TIUR1
 MAKELIST(TIUCLASS,TIUCHVW) ; Get Search Criteria
@@ -10,6 +10,5 @@
  I +$G(ORVP),(+$G(TIUCHVW)'>0) D EN^TIURPN(TIUCLASS,+ORVP) Q
 STATUS S STATUS=$$STAT
- ;VMP/ELR changed status ck from <0 TO <1 to account for entering an *  p224
- I +STATUS<1 S VALMQUIT=1 Q
+ I +STATUS<0 S VALMQUIT=1 Q
  S TIUI=0
  F  S TIUI=$O(TIUSTAT(TIUI)) Q:'TIUI!(+$G(TIUOUT))  D
@@ -148,6 +147,4 @@
  S STATUS("IFNS")=$P(TIURIDX0,U,3)
  S TIUEDT=$P(TIURIDX0,U),TIULDT=$P(TIURIDX0,U,2),NOWFLAG=+$P(TIURIDX0,U,4)
- ;VMP/ELR ADDED THE FOLLOWING LINE IN PATCH 224
- S TIUSCRN="ALL"
  D BUILD(TIUCLASS,.STATUS,.TIUSCRN,TIUEDT,TIULDT,NOWFLAG)
  ; Reexpand previously expanded items:
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURL.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURL.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURL.m	(revision 636)
@@ -1,4 +1,4 @@
 TIURL ; SLC/JER - List Management Library ;2/21/01
- ;;1.0;TEXT INTEGRATION UTILITIES;**88,100,224**;Jun 20, 1997;Build 7
+ ;;1.0;TEXT INTEGRATION UTILITIES;**88,100**;Jun 20, 1997
  ; 11/14/00 Moved UPDATEID, etc to TIURL1
  ;
@@ -22,7 +22,4 @@
  ;    rebuilt, not updated:
  I RTN="TIUROR",$G(TIUCHNG("UPDATE")) S TIUCHNG("RBLD")=1
- ;VMP/ELR ADDED THE FOLLOWING 2 LINES IN PATCH 224
- I RTN="TIUR",$G(TIUCHNG("UPDATE")) S TIUCHNG("RBLD")=1
- I RTN="TIURM",$G(TIUCHNG("UPDATE")) S TIUCHNG("RBLD")=1
  ; -- Rebuild, Update, or Refresh list:
  ;    (In cases (e.g.browse) where more than one action
@@ -44,6 +41,4 @@
  . F  S TIUI=$O(ITEMS(TIUI)) Q:'TIUI  D
  . . D SETREC(TIUI,.TIUREC)
- . . ;VMP/ELR ADDED THE FOLLOWING LINE IN PATCH 224
- . . I $G(TIUREC)="" Q
  . . S ^TMP("TIUR",$J,TIUI,0)=TIUREC
  I $G(TIUCHNG("REFRESH")) D  Q
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURM.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURM.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIURM.m	(revision 636)
@@ -1,4 +1,4 @@
 TIURM ; SLC/JER - MIS Document Review ;9/24/03
- ;;1.0;TEXT INTEGRATION UTILITIES;**74,79,58,100,113,216,224**;Jun 20, 1997;Build 7
+ ;;1.0;TEXT INTEGRATION UTILITIES;**74,79,58,100,113,216**;Jun 20, 1997
  ;12/7/00 split TIURM into TIURM & TIURM1
 MAKELIST(TIUCLASS) ; Get Search Criteria
@@ -15,6 +15,5 @@
  E  S TIUDI("ENTRIES")="ALL DIVISIONS"
 STATUS S STATUS=$S($D(TIUQUIK):$$SELSTAT^TIULA(.TIUSTAT,"F","UNSIGNED,UNCOSIGNED"),1:$$SELSTAT^TIULA(.TIUSTAT,"A",$$DFLTSTAT(DUZ)))
- ;VMP/ELR changed status ck from <0 TO <1 to account for entering an *  p224
- I +STATUS<1 S VALMQUIT=1 Q
+ I +STATUS<0 S VALMQUIT=1 Q
  S TIUI=0
  F  S TIUI=$O(TIUSTAT(TIUI)) Q:'TIUI  D
@@ -104,5 +103,5 @@
 RBLD ; Rebuild list after actions 11/30/00
  N TIUEXP,TIUR0,TIURIDX0,TIUEDT,TIULDT
- N TIURBLD,TIUI,TIUCLASS,TIUDI,TIUSCRN
+ N TIURBLD,TIUI,TIUCLASS,TIUDI
  S TIURBLD=1
  D FIXLSTNW^TIULM ;restore video for elements added to end of list
@@ -115,6 +114,4 @@
  S TIUEDT=$P(TIURIDX0,U),TIULDT=$P(TIURIDX0,U,2),NOWFLAG=+$P(TIURIDX0,U,4)
  M TIUDI=^TMP("TIUR",$J,"DIV")
- ;VMP/ELR ADDED THE FOLLOWING LINE IN PATCH 224
- S TIUSCRN="ALL"
  D BUILD(TIUCLASS,.STATUS,TIUEDT,TIULDT,NOWFLAG,.TIUDI)
  ; Reexpand previously expanded items:
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUSRVA.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUSRVA.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUSRVA.m	(revision 636)
@@ -1,4 +1,4 @@
 TIUSRVA ; SLC/JER,AJB - API's for Authorization ; 03/18/04 [10/19/04 1:21pm]
- ;;1.0;TEXT INTEGRATION UTILITIES;**19,28,47,80,100,116,152,160,178,175,157,236**;Jun 20, 1997;Build 2
+ ;;1.0;TEXT INTEGRATION UTILITIES;**19,28,47,80,100,116,152,160,178,175,157**;Jun 20, 1997
  ;
  ;External reference to File ^AUPNVSIT supported by DBIA 3580
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC ; DRIVER FOR COMPILED XREFS FOR FILE #8925 ; 12/11/06
+TIUXRC ; DRIVER FOR COMPILED XREFS FOR FILE #8925 ; 12/25/06
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC1.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC1.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC1.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC1 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC1 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC2.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC2.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC2.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC2 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC2 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  I X'="" I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,12)),U,2),+$P($G(^TIU(8925,+DA,0)),U,5) K ^TIU(8925,"AAU",+$P(^TIU(8925,+DA,12),U,2),+$P(^TIU(8925,+DA,0),U),+$P(^TIU(8925,+DA,0),U,5),(9999999-X),+DA)
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC3.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC3.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC3.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC3 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC3 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  I X'="" I +$P($G(^TIU(8925,+DA,14)),U,4),+$P($G(^TIU(8925,+DA,13)),U),+$P($G(^TIU(8925,+DA,0)),U,5) K ^TIU(8925,"ASVC",+$P($G(^TIU(8925,+DA,14)),U,4),+X,+$P($G(^TIU(8925,+DA,0)),U,5),(9999999-$P($G(^TIU(8925,+DA,13)),U)),DA)
@@ -37,5 +37,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4))=""
  . K ^TIU(8925,"ADIV",X(1),X(2),X(3),X(4),DA)
-CR2 S DIXR=308
+CR2 S DIXR=413
  K X
  S DIKZ(12)=$G(^TIU(8925,DA,12))
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC4.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC4.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC4.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC4 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC4 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC5.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC5.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC5.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC5 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC5 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  I X'="" I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,12)),U,2),+$P($G(^TIU(8925,+DA,13)),U) S ^TIU(8925,"AAU",+$P(^TIU(8925,+DA,12),U,2),+$P(^TIU(8925,+DA,0),U),+X,(9999999-$P(^TIU(8925,+DA,13),U)),+DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC6.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC6.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUXRC6.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUXRC6 ; COMPILED XREF FOR FILE #8925 ; 12/11/06
+TIUXRC6 ; COMPILED XREF FOR FILE #8925 ; 12/25/06
  ; 
  I X'="" I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,12)),U,5),+$P($G(^TIU(8925,+DA,0)),U,5) S ^TIU(8925,"ALOC",+$P(^TIU(8925,+DA,12),U,5),+$P(^TIU(8925,+DA,0),U),+$P(^TIU(8925,+DA,0),U,5),(9999999-X),+DA)=""
@@ -70,5 +70,5 @@
  . K X1,X2 M X1=X,X2=X
  . S ^TIU(8925,"ADIV",X(1),X(2),X(3),X(4),DA)=""
-CR2 S DIXR=308
+CR2 S DIXR=413
  K X
  S DIKZ(12)=$G(^TIU(8925,DA,12))
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XDRDSHOW.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XDRDSHOW.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XDRDSHOW.m	(revision 636)
@@ -1,4 +1,4 @@
-XDRDSHOW ;SF-IRMFO.SEA/JLI - DISPLAY DATA IN FIELDS, GET OVERWRITES ;01/30/2008
- ;;7.3;TOOLKIT;**23,49,78,112**;Apr 25, 1995;Build 1
+XDRDSHOW ;SF-IRMFO.SEA/JLI - DISPLAY DATA IN FIELDS, GET OVERWRITES ;02/11/2004  08:56
+ ;;7.3;TOOLKIT;**23,49,78**;Apr 25, 1995
  ;;
 SHOW(FILE,REC1,REC2,FLDS,REVIEW) ;
@@ -49,7 +49,5 @@
  . . . S XN=$P(DDVAL,U)
  . . . S XDRA=0
- . . . I X1'=""&(X2'=""),X1'=X2 D
- . . . . I FILE=2,((FLD=991.01)!(FLD=991.02)) Q  ;jds restrict ICN overwrites for MPI 
- . . . . S X0=$S($D(FLDS(FLD)):"||||",1:"****"),NDIFFS=NDIFFS+1,DIFFS(NDIFFS)=FLD,XDRA=1 I REVIEW S NLIN=NLIN-1
+ . . . I X1'=""&(X2'=""),X1'=X2 S X0=$S($D(FLDS(FLD)):"||||",1:"****"),NDIFFS=NDIFFS+1,DIFFS(NDIFFS)=FLD,XDRA=1 I REVIEW S NLIN=NLIN-1
  . . . I 'REVIEW!XDRA D
  . . . . W ! S NLIN=NLIN-1
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMKPCF.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMKPCF.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMKPCF.m	(revision 636)
@@ -1,4 +1,4 @@
-XTPMKPCF ;OAK/BP - COMPUTED FIELDS AND OTHER ODDITIES FOR PATCH MONITOR;
- ;;7.3;TOOLKIT;**98,106**; Apr 25, 1995;Build 1
+XTPMKPCF ;OAK/BP - COMPUTED FIELDS AND OTHER ODDITIES FOR PATCH MONITOR; [8/9/05 9:23am]
+ ;;7.3;TOOLKIT;**98**; Apr 25, 1995
  ;
  ; computed fields
@@ -8,8 +8,7 @@
  ;   patches may be involved.  If a test patch, null the pointer, like nothing is there.
  S X=$P($G(^XPD(9.9,D0,0)),U,8) Q:X=""
- S X=$O(^XPD(9.7,"B",X,9999999999),-1) I $G(^XPD(9.7,+X,2))["TEST v" S X="" Q
+ S X=$O(^XPD(9.7,"B",X,9999999999),-1) I $G(^XPD(9.7,+X,2))["TEST v" S X=""
  S X=$P($G(^XPD(9.7,+X,1)),U,3)
- I X="" Q
- S Y=X D DD^%DT S X=$P(Y,"@") K Y
+ S X=$E(X,1,7)
  Q
  ;
@@ -70,10 +69,2 @@
  K XTBX1,XTBZ,NIGHT,XTBCMPDT,ZTSK,ZTIO,ZTRTN,ZTSAVE
  Q
- ;
-INSDATE ;Print out Installed Date
- N X,X1
- S X=$P($G(^XPD(9.9,D0,0)),U,8) Q:X=""
- S X1=$P($G(^XPD(9.9,D0,0)),U,11) I X1>0 W $$FMTE^XLFDT(X1,"2Z") Q
- S X=$O(^XPD(9.7,"B",X,9999999999),-1) I $G(^XPD(9.7,+X,2))["TEST v" S X="" Q
- S X=$P($G(^XPD(9.7,+X,1)),U,3) W $$FMTE^XLFDT($P(X,"."),"2Z")
- Q
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMSTA2.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMSTA2.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XTPMSTA2.m	(revision 636)
@@ -1,4 +1,4 @@
-XTPMSTA2 ;OAK/BP - PRINT PATCH STATISTICS BY COMPLIANCE DATE;
- ;;7.3;TOOLKIT;**98,100,106**; Apr 25, 1995;Build 1
+XTPMSTA2 ;OAK/BP - PRINT PATCH STATISTICS BY COMPLIANCE DATE; [1/4/06 9:33am]
+ ;;7.3;TOOLKIT;**98,100**; Apr 25, 1995;Build 4
  ;
  S IOP="HOME" D ^%ZIS K IOP
@@ -39,5 +39,5 @@
  ..I XTBINSDT]"" S X1=XTBINSDT,X2=XTBCPLDT D ^%DTC S XTBDAYLT=X
  ..I XTBINSDT="" S X1=DT,X2=XTBCPLDT D ^%DTC S XTBDAYLT=X
- ..S Y=XTBINSDT X ^DD("DD") I Y'="" S XTBINSDT=$P(Y,",",1)_","_$E($P(Y,",",2),2,5) ;set date format "MON DD,YYYY"
+ ..S Y=XTBINSDT X ^DD("DD") S XTBINSDT=Y
  ..S Y=XTBCPLDT X ^DD("DD") S XTBCPLDX=Y
  ..S Y=XTBRELDT X ^DD("DD") S XTBRELDT=Y
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT01.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT01.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT01.m	(revision 636)
@@ -1,3 +1,3 @@
-XUCT01 ; GENERATED FROM 'XUSERINQ' PRINT TEMPLATE (#27) ; 12/12/07 ; (FILE 200, MARGIN=80)
+XUCT01 ; GENERATED FROM 'XUSERINQ' PRINT TEMPLATE (#27) ; 12/27/07 ; (FILE 200, MARGIN=80)
  G BEGIN
 N W !
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT011.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT011.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT011.m	(revision 636)
@@ -1,3 +1,3 @@
-XUCT011 ; GENERATED FROM 'XUSERINQ' PRINT TEMPLATE (#27) ; 12/12/07 ; (continued)
+XUCT011 ; GENERATED FROM 'XUSERINQ' PRINT TEMPLATE (#27) ; 12/27/07 ; (continued)
  G BEGIN
 N W !
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT03.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT03.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT03.m	(revision 636)
@@ -1,3 +1,3 @@
-XUCT03 ; DRIVER FOR COMPILED XREFS FOR FILE #3.081 ; 10/15/04
+XUCT03 ; DRIVER FOR COMPILED XREFS FOR FILE #3.081 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT031.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT031.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT031.m	(revision 636)
@@ -1,3 +1,3 @@
-XUCT031 ; COMPILED XREF FOR FILE #3.081 ; 10/15/04
+XUCT031 ; COMPILED XREF FOR FILE #3.081 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT032.m
===================================================================
--- FOIAVistA/trunk/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT032.m	(revision 631)
+++ FOIAVistA/tag/r/TOOLKIT-AWCM-XD-XIN-XPAR-XQAB-XT-XUC-XUR-ZIN-ZTED/XUCT032.m	(revision 636)
@@ -1,3 +1,3 @@
-XUCT032 ; COMPILED XREF FOR FILE #3.081 ; 10/15/04
+XUCT032 ; COMPILED XREF FOR FILE #3.081 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m	(revision 636)
@@ -1,7 +1,7 @@
-DICATT2 ;SFISC/GFT,XAK-DEFINING MULTIPLES ;9APR2007
- ;;22.0;VA FileMan;**89,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICATT2 ;SFISC/GFT,XAK-DEFINING MULTIPLES ;02:13 PM  24 Dec 2001
+ ;;22.0;VA FileMan;**89**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S T=$E(Z) G CHECK^DICATT:$D(DTOUT)
- F P="I","O","L","x" S:$P(O,U,2)[P Z=$P(Z,U)_P_U_$P(Z,U,2)
+ F P="I","O","L" S:$P(O,U,2)[P Z=$P(Z,U)_P_U_$P(Z,U,2)
 1 K DS S:$P(Z,U)'["K" V=W[";0"
  S P=0,N=DICL,DQ=4,DP=6,DQI=" S:$D(X) DINUM=+X",DREF=$F(O,DQI)-1=$L(O),DE(7,0)="NO",DG(7)="N"
@@ -21,19 +21,9 @@
  ;
 W S %=Z["L"+1 W !,"SHALL THIS TEXT NORMALLY APPEAR IN WORD-WRAP MODE" D YN^DICN
- G CHECK^DICATT:%<0 I % S Z=$P($TR(Z,"L"),U)_$E("L",%=2)_U G WINDOW
- W !,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT"
+ G CHECK^DICATT:%<0 I % S Z=$P($P(Z,"L")_$P(Z,"L",2),U)_$E("L",%=2)_U G G
+ W !?3,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT"
  W !?5,"SHOULD NORMALLY BE PRINTED OUT IN FULL LINES, BREAKING AT WORD BOUNDARIES."
  W !?2,"ANSWER 'NO' IF THE INTERNAL TEXT SHOULD NORMALLY BE PRINTED OUT"
  W !?5,"LINE-FOR-LINE AS IT STANDS.",! G W
- ;
- ;
-WINDOW S %=2-(Z["x"!'O) W !,"SHALL ""|"" CHARACTERS IN THIS TEXT BE TREATED LIKE ANY OTHER CHARACTERS" D YN^DICN
- G CHECK^DICATT:%<0 I % S Z=$P($TR(Z,"x"),U)_$E("x",%=1)_U G G
- W !,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT MAY HAVE ""|"" CHARACTERS"
- W !?3,"IN IT (SUCH AS HL7 MESSAGES) THAT NEED TO DISPLAY EXACTLY AS THEY ARE STORED."
- W !,"ANSWER 'NO' IF THE INTERNAL TEXT SHOULD NORMALLY BE PRINTED OUT WITH ANYTHING"
- W !?3,"THAT IS DELIMITED BY ""|"" CHARACTERS INTERPRETED AS VARIABLE TEXT.",! G WINDOW
- ;
- ;
  ;
 X ;
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m	(revision 636)
@@ -1,4 +1,4 @@
-DICOMP0 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;5NOV2007
- ;;22.0;VA FileMan;**6,76,114,144,152**;;Build 10
+DICOMP0 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;2DEC2006
+ ;;22.0;VA FileMan;**6,76,114,144**;;Build 5
  ;Per VHA Directive 2004-038, this routine should not be modified.
  N DICOMPI
@@ -6,5 +6,5 @@
 LIT I X?1"""".E1"""" S Y=0,%=$E(X,2,$L(X)-1) K:%[""" X "!(%[""" D @") Y S X=""""_$$CONVQQ^DILIBF(%)_"""" Q
 L S T=DLV,DICN=X
-TRY G M:'$D(J(T))!'$D(I(T)),M:+J(T)'=J(T),M:$G(^DD(J(T),.01,0))="",UP:$P(^(0),U,2)["W" S DIC="^DD("_J(T)_",",DG=$O(^DD(J(T),0,"NM",0))_" "
+TRY G M:'$D(J(T))!'$D(I(T)),M:+J(T)'=J(T),M:$D(^DD(J(T)))<9 S DIC="^DD("_J(T)_",",DG=$O(^DD(J(T),0,"NM",0))_" "
  S DIC("S")=$S(W="["!($E(I,M,M+1)="'[")!$D(DICMX):"I ",1:"S %=$P(^(0),U,2) I '%,%'[""m"",")_"$$SCREEN^DICOMP0"
  D DICS^DICOMPY:DUZ(0)'="@"
@@ -13,5 +13,5 @@
 N I $P(X,DG)="",X=DICN S X=$P(X,DG,2,9) G R
 NUMBER I X="NUMBER" S Y=.001,Y(0)=0 G D
-UP S T=T-1,X=DICN G M:T<0,TRY:$D(J(T)) F T=T-99:1 G TRY:'$D(J(T+1))
+ S T=T-1,X=DICN G M:T<0,TRY:$D(J(T)) F T=T-99:1 G TRY:'$D(J(T+1))
  ;
 A F D=M:1:$L(I)+1 Q:$F(X,$E(I,1,D))-1-D  S W=$E(I,D+1)
@@ -31,6 +31,5 @@
 S ;
  S %=DLV0,DG=W=":"&'$D(DPS(DPS,"$S"))
-OUT I D["O"&(D'["P"!'DG)!(D["V"&'$D(DPS(DPS,"FILE"))) D  Q
- .S X="$$EXTERNAL^DIDU("_T_","_DICN_","""","_X_")",DICO("DIERR")=1
+ I D["O"&(D'["P"!'DG)!(D["V"&'$D(DPS(DPS,"FILE"))) D DIMP^DICOMPZ("N C S Y="_X_",C="""_D_""" D:$D(^DD("_T_","_DICN_",0)) Y^DIQ") S X=X_" S X=Y" Q
 SET I D["S" S DG(%)=DG(%)+1,DG(%,DG(%))="$C(59)_$P($G(^DD("_T_","_DICN_",0)),U,3)",X="$P($P("_DQI_DG(%)_"),$C(59)_"_X_"_"":"",2),$C(59))"
  Q:D'["P"  S %Y=U_$P(Y(0),U,3),DICN=+$P(@(%Y_"0)"),U,2)
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m	(revision 636)
@@ -1,5 +1,5 @@
-DICOMP1 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;19JUNE2007
- ;;22.0;VA FileMan;**6,44,76,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICOMP1 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;12:45 PM  9 Sep 2002
+ ;;22.0;VA FileMan;**6,44,76**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  F  Q:'$D(DPS(DPS,"ST"))  D DPS^DICOMPW S K=K+1,K(K)=X
  G 0:DPS
@@ -40,5 +40,5 @@
  S DICOMP="",DLV=DICO(1)
 Q I DICOMP'["S" S K=DICO(1) F  S K=$O(I(K)) Q:K=""  K I(K),J(K)
- I $D(X) S:$D(DICO("DIERR")) X="N DIERR "_X I $G(DICOMPQI) S X="N Y "_X
+ I $G(DICOMPQI),$D(X) S X="N Y "_X
 Y K Y I $D(DICO("RCR")) S Y=DICO("RCR")
  E  S Y=DLV_$E("W",$D(DPS("W")))_$S($G(DBOOL)=1:"B",$D(DATE)>9:"D",1:"")_$E("X",$D(DIM))_$E("L",$D(DICO(2)))
